ru.bitel.bgbilling.modules.sberbank.server.bean

## Class TransactionManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<B>
      - - ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
        - - ru.bitel.bgbilling.modules.sberbank.server.bean.TransactionManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class TransactionManager
      extends AbstractTransactionManager<Transaction>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

      `fields`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionManager(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addTransactionParameters(Transaction transaction, java.lang.String params)`
    `void` | `addTransactionPayment(Transaction transaction, java.lang.String transactionParameters)`
    `void` | `doCheckRequest(int contractId, boolean autopaymentTransaction)`
    `protected Transaction` | `getFromRS(java.sql.ResultSet rs)`
    `protected Transaction` | `getImpl(int transactionId)`
    `static void` | `main(java.lang.String[] args)`
    `java.lang.String` | `paymentOrderBinding(Transaction transaction, Autopayment autopayment)` 14.3.2.1.
    `Transaction` | `registerOrder(int contractId, java.lang.String contractTitle, java.lang.String customerAddress, java.math.BigDecimal sum, java.util.Map<java.lang.String,java.lang.Object> dataMap, boolean autopaymentTransaction, boolean requestBindingId)`
    `Transaction` | `registerOrder(int contractId, java.lang.String contractTitle, java.lang.String customerAddress, java.math.BigDecimal sum, java.util.Map<java.lang.String,java.lang.Object> dataMap, boolean autopaymentTransaction, boolean requestBindingId, java.lang.String returnUrl)`
    `void` | `searchTransaction(SearchResult<Transaction> searchResult, int contractId, java.lang.String contractTitle, java.lang.String status, java.lang.Boolean autopaymentTransaction)`
    `protected void` | `setConnectionTimeout(javax.net.ssl.HttpsURLConnection connection)`
    `boolean` | `update(Transaction transaction, TransactionStatus newTransactionStatus)`
    `protected void` | `updateImpl(Transaction transaction)`

    - ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

      `doConnection, doConnection, getParameter, psStatus, queryStatus, searchTransaction, setParameter`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionManager

          public TransactionManager(java.sql.Connection con,
                                    int moduleId)

  - ### Method Detail

    - #### searchTransaction

          public void searchTransaction(SearchResult<Transaction> searchResult,
                                        int contractId,
                                        java.lang.String contractTitle,
                                        java.lang.String status,
                                        java.lang.Boolean autopaymentTransaction)
                                 throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `searchTransaction` in class `AbstractTransactionManager<Transaction>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected Transaction getFromRS(java.sql.ResultSet rs)
                                   throws java.sql.SQLException,
                                          ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### getImpl

          protected Transaction getImpl(int transactionId)
                                 throws ru.bitel.bgbilling.common.BGException,
                                        java.sql.SQLException

      Overrides:
        `getImpl` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### update

          public boolean update(Transaction transaction,
                                TransactionStatus newTransactionStatus)
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(Transaction transaction)
                             throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doCheckRequest

          public void doCheckRequest(int contractId,
                                     boolean autopaymentTransaction)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### registerOrder

          public Transaction registerOrder(int contractId,
                                           java.lang.String contractTitle,
                                           java.lang.String customerAddress,
                                           java.math.BigDecimal sum,
                                           java.util.Map<java.lang.String,java.lang.Object> dataMap,
                                           boolean autopaymentTransaction,
                                           boolean requestBindingId)
                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### registerOrder

          public Transaction registerOrder(int contractId,
                                           java.lang.String contractTitle,
                                           java.lang.String customerAddress,
                                           java.math.BigDecimal sum,
                                           java.util.Map<java.lang.String,java.lang.Object> dataMap,
                                           boolean autopaymentTransaction,
                                           boolean requestBindingId,
                                           java.lang.String returnUrl)
                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### paymentOrderBinding

          public java.lang.String paymentOrderBinding(Transaction transaction,
                                                      Autopayment autopayment)

      14.3.2.1. Запрос проведения платежа по связкам Для проведения платежа по связкам используется запрос paymentOrderBinding.do (см. раздел "Координаты подключения"). Параметры запроса: Название Тип Обязательно Описание userName AN..30 да Логин магазина, полученный при подключении password AN..30 да Пароль магазина, полученный при подключении mdOrder ANS36 да Номер заказа в платежной системе. Уникален в пределах системы. bindingId AN..255 да Идентификатор связки созданной при оплате заказа или использованной для оплаты. Присутствует только если магазину разрешено создание связок. cvc N..3 нет CVC код. Этот параметр обязателен, если для мерчанта не выбрано разрешение "Может проводить оплату без подтверждения CVC". language A2 нет Язык в кодировке ISO 639-1. Если не указан, будет использован язык, указанный в настройках магазина как язык по умолчанию (default language) Параметры ответа: Название Тип Обязательно Описание redirect ANS..* (при SSL платеже) URL, на который производится переадресация после платежа info ANS..* да Результат попытки оплаты. Возможные значения представлены ниже: Ваш платёж обработан, происходит переадресация... Операция отклонена. Проверьте введенные данные, достаточность средств на карте и повторите операцию. Происходит переадресация... Извините, платеж не может быть совершен. Происходит переадресация... Операция отклонена. Обратитесь в магазин. Происходит переадресация... Операция отклонена. Обратитесь в банк, выпустивший карту. Происходит переадресация... Операция невозможна. Аутентификация держателя карты завершена неуспешно. Происходит переадресация... Нет связи с банком. Повторите позже. Происходит переадресация... Истек срок ожидания ввода данных. Происходит переадресация... Не получен ответ от банка. Повторите позже. Происходит переадресация... success N1 да Код ошибки error AN..* (при ошибке) Сообщение об ошибке acsUrl ANS..* (при 3DS платеже) URL для перехода на ACSpaReq ANS..* (при 3DS платеже) Payment Authentication Request termUrl ANS..* (при 3DS платеже) URL для возврата с ACS

    - #### addTransactionPayment

          public void addTransactionPayment(Transaction transaction,
                                            java.lang.String transactionParameters)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addTransactionParameters

          public static void addTransactionParameters(Transaction transaction,
                                                      java.lang.String params)

    - #### setConnectionTimeout

          protected void setConnectionTimeout(javax.net.ssl.HttpsURLConnection connection)

      Overrides:
        `setConnectionTimeout` in class `AbstractTransactionManager<Transaction>`

    - #### main

          public static void main(java.lang.String[] args)